class FCPort(object):
  def __init__ (self, wwpn, product, model, device_filename=None):
    self.wwpn = wwpn
    self.product = product
    self.model = model
    self.device_filename = device_filename

  def __str__(self):
    fc_port_string = self.wwpn + ":\n\t"
    if self.device_filename:
      fc_port_string += self.device_filename + ": "
    fc_port_string += "[%s]:\t%s" % (self.product, self.model)
    return fc_port_string

