#!/bin/sh

yes n | pkgadd -d "$1" all
if [ "$?" = "0" ]; then
  exit 0;
fi

if yes n | pkgadd -d "$1" all 2>&1 | grep unique; then
  existing_pkg_name=`yes n | pkgadd -d "$1" all 2>&1 | grep unique | sed '/unique/s#.*<##g' | sed 's#>.*##g'`
  echo "Going to try and remove '$existing_pkg_name'"
  if [ "$existing_pkg_name" = "" ]; then
    exit 1;
  fi
  yes | pkgrm $existing_pkg_name
  if yes n | pkgadd -d "$1" all; then exit 0 ; fi
fi
exit 1
