import socket

from exceptions import HostAttachmentError

DEFAULT_ISCSI_PORT = 3260

def test_iscsi_connectivity(address, port=DEFAULT_ISCSI_PORT):
  test_socket = socket.socket(socket.AF_INET)
  try:
    test_socket.connect((address, port))
    test_socket.close()
  except (socket.gaierror, socket.error), e:
    raise HostAttachmentError("Failed iSCSI connectivity test: " + str(e))
