#-------------------------------------------------------------------------------------------------
# Copyright (c) International Business Machines Corp., 2009
#
# IBM XIV Storage System Software
#
# Licensed materials provided under the terms of the IBM International Program
# License Agreement. See the Software
# licensing materials that came with the IBM XIV Storage System for terms and
# conditions.
#
#-------------------------------------------------------------------------------------------------

import os

def levels_up(path, num):
    retval = path
    for i in range(0, num):
        retval = os.path.dirname(retval)

    return retval

PACKAGE_VERSION = '1.0.3'
FC_BANNER = 'IBM-XIV Host Attachment for Fiber-Channel connectivity, '\
            'version %s' % PACKAGE_VERSION
ISCSI_BANNER = 'IBM-XIV Host Attachment for iSCSI connectivity, version '\
               '%s' % PACKAGE_VERSION
PACKAGE_DIR = levels_up(__file__, 5) #'/opt/xiv/host_attach'
LOGFILE_PATH = PACKAGE_DIR + '/var/log/host_attach'
UDEV_RULES_SOURCE = PACKAGE_DIR + '/src/udev.rules'
MULTIPATH_CONF_SOURCE = PACKAGE_DIR + '/src/multipath.conf'
ISCSI_CONF_SOURCE = PACKAGE_DIR + '/src/iscsi.conf'
ISCSID_CONF_SOURCE = PACKAGE_DIR + '/src/iscsid.conf'


MAX_LUN_SCAN = 256
